using System;
using System.Collections;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Web;
using System.Web.SessionState;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.HtmlControls;

namespace CSharpWebSamples
{
	/// <summary>
	/// Summary description for ComplexTypesSampleClient.
	/// </summary>
	public class ComplexTypesSampleClient : System.Web.UI.Page
	{
		protected System.Web.UI.WebControls.Label divOutput;
	
		public ComplexTypesSampleClient()
		{
			Page.Init += new System.EventHandler(Page_Init);
		}

		private void Page_Load(object sender, System.EventArgs e)
		{
			// Put user code to initialize the page here

			// Call the web service to get the customer information
			taborr.ComplexTypesSample ctsample = new taborr.ComplexTypesSample();
			taborr.CustomerInfo[] customers = ctsample.GetCustomers();

			for (int i=0; i<customers.Length; i++)
			{
				taborr.CustomerInfo customer = customers[i];
				divOutput.Controls.Add(new LiteralControl(
					"<B>" + customer.FirstName + " " + customer.LastName + "</B> <I>(" + customer.EmailAddress + ")</I><BR>"
					));

				// call the web service and get the orders for a particular customer
				taborr.OrderInfo[] orders = ctsample.GetOrders(customer);
				for (int oi=0; oi<orders.Length; oi++) 
				{
					taborr.OrderInfo order = orders[oi];
					divOutput.Controls.Add(new LiteralControl("Order: " + order.OrderID + "<BR>"));
					for (int pi=0; pi<order.Items.Length; pi++)
					{
						taborr.PartInfo part = order.Items[pi];
						divOutput.Controls.Add(new LiteralControl(part.PartDescription + "<BR>"));
					}
				}

				divOutput.Controls.Add(new LiteralControl("<BR><HR>"));
			}
		}

		private void Page_Init(object sender, EventArgs e)
		{
			//
			// CODEGEN: This call is required by the ASP.NET Windows Form Designer.
			//
			InitializeComponent();
		}

		#region Web Form Designer generated code
		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{    
			this.Load += new System.EventHandler(this.Page_Load);

		}
		#endregion
	}
}


